Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		fribidi
Version:	0.10.9
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://fribidi.org
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	FriBidi is a free implementation of the Unicode Bidirectional (BiDi) Algorithm.

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
FriBidi is a free implementation of the Unicode Bidirectional (BiDi) Algorithm.
It also provides utility functions to aid in the development of interactive editors
and widgets that implement BiDi functionality.
The BiDi algorithm is a prerequesite for supporting right-to-left scripts
such as Hebrew, Arabic, Syriac, and Thaana.
For more details see: http://fribidi.org

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
./configure --prefix=%_prefix 
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/fribidi
%{_libdir}/libfribidi.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/fribidi-config
%{_includedir}/fribidi
%{_libdir}/libfribidi.a
%{_libdir}/libfribidi.la
%{_libdir}/libfribidi.so
%{_pkgconfig}/fribidi.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.10.9-1
- Version update
* Tue Nov 29 2005 Christian Wasem <wasem@ccux-linux.de> 0.10.7-1
- Update to Version 0.10.7, removed wrong Obsoletes-Tag
- moved more files to devel
* Sat Jun 25 2005 Christian Wasem <wasem@ccux-linux.de> 0.10.5-1
- update to version 0.10.5  
